Cancel Sandbox Execution

View as Markdown
  • DEL
  • /workspaces
  • /:workspace
  • /sandboxes
  • /:sandbox_id
  • /execs
  • /:exec_id

Cancel a running execution. No-op on terminal-state executions.

Request

REQUIRED SCOPES
SANDBOX_USE
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

sandbox_idrequiredstring
The ID of the sandbox

Example: "sb-1234567890abcdef"

exec_idrequiredstring
Execution ID returned by the execute endpoint

Example: "9214386e-7633-4d2b-ac66-fcfbaf5ea99b"

Last modified on Oct 27, 2026

Request example

CURL
curl -X DELETE "https://api.buddy.works/workspaces/:workspace/sandboxes/:sandbox_id/execs/:exec_id" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
STATUS
204 Execution cancellation signaled (or already in terminal state)